% Figure 5: Spine image
%
% Random Spectral Sampling Toolbox - Roel Snieder and Michael B. Wakin
% Version 1.0 - March 23, 2022
% See README.txt

clear all; close all;

% Obtain spine image
Nx = 256;
Ny = 256;
N = Nx*Ny;
load spine; 
spineImage = X(72:72+Nx-1,122:122+Ny-1);

% Randomly subsample spectrum by factor of 3 without replacement
spine_rand = real(subsampleSpectrum2d(spineImage,round(N/3),1));

% Create figure
figure(5); clf;
subplot(121); imagesc(spineImage); axis square; axis off; colormap gray; title('original');
subplot(122); imagesc(spine_rand); axis square; axis off; colormap gray; title('undersampled');
% print('fig5','-dpng')
